<?php
/************************************************************************************************
 * © Copyright 2021, BizZToolz
 * Use of this code is permitted under the terms of the GNU Lesser General Public License
 * https://www.fsf.org/
 ************************************************************************************************/

define("ABSPATH",dirname(__FILE__,7)."/");
require_once ABSPATH . '/wp-load.php';
require_once ABSPATH . '/wp-content/plugins/gravitywise/includes/common/merge-tags.php';
require_once ABSPATH . '/wp-content/plugins/gravitywise/includes/common/connectwise-client.php';

if (!current_user_can('administrator')) {
    die();
}   

$json = file_get_contents('php://input');
$data = json_decode($json,true);

if (!isset($data['value']) || !isset($data['id'])) {
    die();
}

global $wpdb;
$wpdb->query(
    $wpdb->prepare(
        "UPDATE {$wpdb->prefix}cw_action_attempt SET value = %s, status = %s WHERE id = %d;",
        json_encode($data['value']),
        $data['status'],
        $data['id']
    )
);

$response = $wpdb->get_results($wpdb->prepare(
    "SELECT * FROM {$wpdb->prefix}cw_action_attempt WHERE id = %s",
    $data['id']
));

header('Content-Type: application/json');
echo json_encode($response);