<?php
/************************************************************************************************
 * © Copyright 2021, BizZToolz
 * Use of this code is permitted under the terms of the GNU Lesser General Public License
 * https://www.fsf.org/
 ************************************************************************************************/

if ( !class_exists('bizz_CommonVariables')) {
    class bizz_CommonVariables {

        public static $apiFilenameConjunction = '_';
        public static $emptyString = '';
        public static $fileSeparator = '.';
        public static $folderSeparator = '..';
        public static $pathSeparator = '/';
        public static $fileTracker = '/..';
        public static $cwFieldPrefix = 'cw_';
        public static $advancedField = "Advanced";
        public static $componentEndpointField = "Endpoint";
        public static $nonCwFields = "Regular";

        // common identifiers
        public static $cwUrlPathsId = 'paths';
        public static $cwComponentsId = 'components';
        public static $cwApiDefaultVersionId = '2020.2';

        // default files 
        public static $cwApiVersionFileName = 'v2020_2.json';
        public static $cwApiFilePath = "/cw-connector/docs";

        // connectwise        
        public static $cwCloudUrl = "https://api-%s/%sapis/3.0";
        public static $cwNonCloudUrl = "https://%s/%sapis/3.0";
        public static $cwLoginUrl = "https://%s/login/companyinfo/%s";
        public static $cwApiUrlError = "Error - codebase is null";
        public static $cwFailedContents  = "Failed to get contents.";
        public static $cwApiHeaderClientIdTemplate = "ClientId:%s";
        public static $cwApiHeaderAcceptTemplate = "Accept:application/vnd.connectwise.com+json; version:%s";
        public static $cwApiHeaderAuthTemplate = "Authorization: Basic %s";
        public static $cwApiHeaderContentLengthTemplate = "Content-Length: %s";
        public static $cwApiHeaderContentTypeTemplate = "Content-Type: application/json; charset=utf-8";

        // connectwise custom field
        public static $cwCustomFieldComponentName = "CustomFieldValue";

        // regex
        public static $cwFieldsMergetagsRegex = '/{[^{]*?:(\d+(\.\d+)?)(.*?)?}/mi';
    }
}
