<!--************************************************************************************************-->
<!-- © Copyright 2021, BizZToolz-->
<!-- Use of this code is permitted under the terms of the GNU Lesser General Public License-->
<!-- https://www.fsf.org/-->
<!--************************************************************************************************-->


<div id="vField_<?php echo $id?>" >
    <div style="display: none;" :class="{display_important: isLive}" v-if="isLive">
        <div style="display: flex;">
        <select @change="Click($event.target.value, true)">
            <option v-if="query == null || query.length==0">No Results Found</option>
            <option v-for="item in query" :value="JSON.stringify(item)">{{calcResView(item)}}</option>
        </select>
        <div v-show="loading" class="loader"></div> 
        </div>
    </div>

    <!-- Dummy -->
    <div style="display: flex;" v-if="!isLive">
        <select style="width: 200px" class="cw_input"></select>
    </div>

    <input name="input_<?=$id?>" :value="JSON.stringify(value)" hidden>
</div>

<script type="text/javascript">
    var vField_<?php echo $id?> = new cwField(<?php echo $id?>, <?php echo json_encode($cwSettings)?>, true, true);
</script>

