<!--************************************************************************************************-->
<!-- © Copyright 2021, BizZToolz-->
<!-- Use of this code is permitted under the terms of the GNU Lesser General Public License-->
<!-- https://www.fsf.org/-->
<!--************************************************************************************************-->


<div id="vField_<?php echo $id?>" >
    <div style="display: none;" :class="{display_important: isLive}" v-if="isLive">
        <div v-if="query !=null">
            <div v-for="item in query">
                <input name="input_<?php echo $id?>" type="radio" :value="JSON.stringify(item)" @change="Click($event.target.value, true)"></input>
                <label>{{calcResView(item)}}</label>
            </div>
        <div v-show="loading" class="loader"></div> 
        </div>
    </div>

    <!-- Dummy -->
    <div v-if="!isLive">
        <div style="display: flex; align-items:center;">
            <input type="radio"></input><label>Option 1</label>
        </div>
        <div style="display: flex; align-items:center;">
            <input type="radio"></input><label>Option 2</label>
        </div>
        <div style="display: flex; align-items:center;">
            <input type="radio"></input><label>Option 3</label>
        </div>
    </div>
</div>

<script type="text/javascript">
    var vField_<?php echo $id?> = new cwField(<?php echo $id?>, <?php echo json_encode($cwSettings)?>, true, true);
</script>

