/************************************************************************************************
 * © Copyright 2021, BizZToolz
 * Use of this code is permitted under the terms of the GNU Lesser General Public License
 * https://www.fsf.org/
 ************************************************************************************************/

Vue.component('basic-settings', {
    computed: {
        ...Vuex.mapState(['Settings','Properties','Fields'])
    },
    template: `
        <div>
            <div class="cwf_check_area">
                <label-tooltip label="Component" name="component_field"></label-tooltip>
                <component-select></component-select>
            </div>
            <div class="cwf_check_area">
                <required-fields></required-fields>
            </div>
            <div class="cwf_check_area">
                <label-tooltip label="Exposed Fields" name="exposed_fields"></label-tooltip>
                <field-select></field-select>
            </div>
            <div class="cwf_check_area">
                <label-tooltip label="Limit Results" name="limit_results"></label-tooltip>
                <input v-model="Settings.limitResults" id="limit_results" style="width: 100%: margin-left: 0.25rem;" type="number" min="25" max="1000">
            </div>
        </div>
    `
});