<?php
/************************************************************************************************
 * © Copyright 2021, BizZToolz
 * Use of this code is permitted under the terms of the GNU Lesser General Public License
 * https://www.fsf.org/
 ************************************************************************************************/

define("ABSPATH",dirname(__FILE__,7)."/");
require_once ABSPATH . '/wp-load.php';
require_once ABSPATH . '/wp-content/plugins/gravitywise/includes/common/merge-tags.php';
require_once ABSPATH . '/wp-content/plugins/gravitywise/includes/common/connectwise-client.php';
require_once ABSPATH . '/wp-content/plugins/gravitywise/includes/common/open-api-parser.php';

if(current_user_can('administrator')){


	function getResults(){

		$component = $_GET['component'];
		$refComponent = $_GET['refcomponent'];
		$search    = $_GET['search'];
		header('Content-Type: application/json');
		$cw_api = new bizz_ConnectwiseClient();
		if($search!=''){
            switch ($refComponent) {
                case 'Contact':
                    $search = 'conditions=identifier%20contains%20"' . $search . '"%20or%20firstName%20contains%20"' . $search . '"%20or%20lastName%20contains%20"' . $search . '"';
                    break;
                default:
                    $search = 'conditions=name%20contains%20"' . $search . '"';
            }
		}
		$x = bizz_OpenAPIParser::getCWFields($component);
		$target = $x[lcfirst($refComponent)]['$ref'];
		$target = substr($target,21);
		$target = str_replace('Reference','',$target);
		$y = bizz_OpenAPIParser::getCwComponents(true,'get');

		if($target == 'Member'){
			$y[$target] = '/system/members';
		}
		echo json_encode($cw_api->getCwData($y[$target], $search));
	}

	getResults();

#/components/schemas/MemberReference



}else{
	http_response_code(403);
}