<?php
/************************************************************************************************
 * © Copyright 2021, BizZToolz
 * Use of this code is permitted under the terms of the GNU Lesser General Public License
 * https://www.fsf.org/
 ************************************************************************************************/

define( "ABSPATH", dirname( __FILE__, 7 ) . "/" );

require_once ABSPATH . '/wp-load.php';

if ( ! current_user_can( 'administrator' ) ) {
	die();
}

global $wpdb;
$sql = $wpdb->prepare( "SELECT * FROM {$wpdb->prefix}gf_addon_feed WHERE id=%d", $_GET['id'] );
$row = $wpdb->get_results( $sql );

$currentTime = date('Y-m-d H:i:s');

if ( ! $row ) {
	header( 'Content-Type: application/json' );
	echo "{\"name\": \"Untitled Feed\",
	\"conditions\": {
		\"active\": false,
		\"conjunction\": \"ANY\",
		\"statements\": [{
			\"property\": \"Id\",
			\"operator\": \"\",
			\"value\": \"\"
		}]
	},
	\"email\": {
              \"active\": false,
              \"onSubmit\": false,
              \"onFail\": false,
              \"onSuccess\": false,
              \"addresses\": \"\"
            },
	\"actions\": [

	],
	\"created_date\": \"$currentTime\"
	}";

	die();
}

$meta = json_decode( $row[0]->meta, true );
header( 'Content-Type: application/json' );
echo json_encode( $meta['CWFeedSettings'] );
