<?php
/************************************************************************************************
 * © Copyright 2021, BizZToolz
 * Use of this code is permitted under the terms of the GNU Lesser General Public License
 * https://www.fsf.org/
 ************************************************************************************************/

define("ABSPATH",dirname(__FILE__,7)."/");
require_once ABSPATH . '/wp-load.php';
require_once ABSPATH . '/wp-content/plugins/gravitywise/includes/common/merge-tags.php';
require_once ABSPATH . '/wp-content/plugins/gravitywise/includes/common/connectwise-client.php';
require_once ABSPATH . "/wp-content/plugins/gravitywise/includes/feeds/entry-mapper.php";
require_once ABSPATH . "/wp-content/plugins/gravitywise/includes/feeds/action-mapper.php";

if (!current_user_can('administrator')) {
    die();
}
if (!isset($_POST['id'])) {
    die();
}

$attempt = bizz_EntryMapper::get_entry_attempt_id($_POST['id']);

if($_POST['op']=='delete'){
    $attempt->fetch_actions();
    foreach ($attempt->actions as $key => $value) {
        bizz_ActionMapper::scrub_action_attempt($value);
    }
    bizz_EntryMapper::scrub_entry_attempt($attempt);
}else{
    $attempt->dismissed = $_POST['op']=='dismiss'? 1:0;
    bizz_EntryMapper::update_entry_attempt($attempt);
}
echo 'Success';

