/************************************************************************************************
 * © Copyright 2021, BizZToolz
 * Use of this code is permitted under the terms of the GNU Lesser General Public License
 * https://www.fsf.org/
 ************************************************************************************************/

var MergeTagsJS = {

    ConvertResultsView(resultViewString, object){
        return resultViewString.replace(/{([\w\d\.]+)}/g,(match, p1)=>{
            var obj = object;
            var split = p1.split('.');
            split.forEach(prop => {
                if( obj == undefined || obj[prop] == undefined){
                    obj = undefined;
                }else{
                    obj = obj[prop];
                }
            });
            if(obj == undefined){
                return "N/A";
            }
            return obj;
        });
    }

}