<!--************************************************************************************************-->
<!-- © Copyright 2021, BizZToolz-->
<!-- Use of this code is permitted under the terms of the GNU Lesser General Public License-->
<!-- https://www.fsf.org/-->
<!--************************************************************************************************-->


<div id="vField_<?php echo $id?>" >
    <div style="display: none;" :class="{display_important: isLive}" v-if="isLive">
        <div v-show="!chosen">
            <div style="display: flex;">
                <input name='input_<?php echo $id?>' 
                @keydown='searchKey' v-model="searchString" type="text" class="cw_input"/>
                <button @click="search" type="button" class="cw_search"><i class="fa fa-search" style="margin: auto;"></i></button>
                <div v-show="loading" class="loader"></div>
            </div>
            <div v-show="query==null || query.length>0" class="cw_selection">
            <p v-show="query==null" style="margin:2px 0 2px 0">No Results Found</p>
            <ul v-if="query!=null" style="margin: 0;">
                <li v-for="item in query" style="margin: 2px" class="cw_selected" :class="{cw_active: item==selected}" @click="Click(item)">
                    {{calcResView(item)}}
                </li>
            </ul>
            </div>
        </div> 

        <div v-if="chosen">
            <div style="display: flex;">
                <div>{{calcResView(value)}}</div>
                <button @click="chosen=false;" type="button" class="cw_search"><i class="fa fa-close" style="margin: auto;"></i></button>
            </div>    
        </div>
    </div>

    <div style="display: flex;" v-if="!isLive">
        <input type="text" class="cw_input"/>
        <button type="button" class="cw_search"><i class="fa fa-search" style="margin: auto;"></i></button>
    </div>

    <input name="input_<?=$id?>" :value="JSON.stringify(value)" hidden>
</div>

<script type="text/javascript">
    var vField_<?php echo $id?> = new cwField(<?php echo $id?>, <?php echo json_encode($cwSettings)?>);
</script>

