<!--************************************************************************************************-->
<!-- © Copyright 2021, BizZToolz-->
<!-- Use of this code is permitted under the terms of the GNU Lesser General Public License-->
<!-- https://www.fsf.org/-->
<!--************************************************************************************************-->


<div id="vField_<?php echo $id?>" >
    <div style="display: none;" :class="{display_important: isLive}" v-if="isLive">
        <div class="loader_container" v-show="loading"><div class="flat_loader"></div></div>
        <table class="cw_table">
            <tr>
                <th v-for="item in cwSettings.tableSettings.statements">
                    {{item.label}}
                </th>
                
            </tr>
            <tr v-for="item in query" :class="{cw_row_selected: tryHasValue(item)}" @click="ClickAdvanced(item,cwSettings.allowMultiple.active, $event.ctrlKey)">
                <td v-for="label in cwSettings.tableSettings.statements">
                    {{explodeCWObject(item[label.property])}}
                </td>
            </tr>
        </table>
        <div class="loader_container" v-show="query == null || query.length==0">No Results</div>
    </div>

    <input name="input_<?=$id?>" :value="JSON.stringify(value)" hidden>


    <!-- Dummy -->
    <div style="display: flex;" v-if="!isLive">
        <table class="cw_table">
            <tr><th>CW Table</th></tr>        
        </table>
    </div>
</div>

<script type="text/javascript">
    var vField_<?php echo $id?> = new cwField(<?php echo $id?>, <?php echo json_encode($cwSettings)?>, true);
</script>
<!-- ClickAdvanced(item,cwSettings.allowMultiple.active, $event.ctrlKey); -->