/************************************************************************************************
 * © Copyright 2021, BizZToolz
 * Use of this code is permitted under the terms of the GNU Lesser General Public License
 * https://www.fsf.org/
 ************************************************************************************************/

Vue.component('copy-modal',{
    data: function(){
        return {
            display: false,
            content: ""
        }
    },
    methods: {
        displayModal: function(content){
            this.display = true;
            this.content = content;
        }
    },
    template:
        `<div class="fb-modal" v-if="display">
        <h2>Copy</h2>
        <input type="text" onClick="this.select();" v-model="content"></input>
        <button type="button" @click="display=false">Close</button>
    </div>`
});