/************************************************************************************************
 * © Copyright 2021, BizZToolz
 * Use of this code is permitted under the terms of the GNU Lesser General Public License
 * https://www.fsf.org/
 ************************************************************************************************/

Vue.component('paste-modal',{
    props: [],
    data: function(){
        return {
            display: false,
            content: "",
        }
    },
    methods: {
        displayModal: function(){
            this.display = true;
            this.content = "";
        },
        paste: function(){
            this.$emit('paste',{content: this.content, JSONType: this.JSONType})
            this.display=false;
        }
    },
    template:
        `<div class="fb-modal" v-if="display">
        <h2>Paste</h2>
        <input type="text" v-model="content"></input>
        <div>
            <button type="button" @click="paste">OK</button>
            <button type="button" @click="display=false">Close</button>
        </div>
    </div>`
});