/************************************************************************************************
 * © Copyright 2021, BizZToolz
 * Use of this code is permitted under the terms of the GNU Lesser General Public License
 * https://www.fsf.org/
 ************************************************************************************************/

Vue.component('orderby-field-u', {
    props: ['value','options'],
    template:
        `<div v-show="value.active">
        <multi-statement-field-u v-model="value" v-slot="child" @add-statement="pushDefault($event)">
            <select class="cwf_half_rem_margin" v-model="child.child.property" style="flex: 1">>
                <option v-for="cwOption in options" :value="cwOption.name">{{cwOption.name}}</option>
            </select>
            <select class="cwf_half_rem_margin" style="width: 26%;" v-model="child.child.order">
                <option value="ASC">A→Z</option>
                <option value="DESC">Z→A</option>
            </select>
        </multi-statement-field-u>
    </div>
    `,
    methods: {
        pushDefault: function(arr){
            arr.push({
                property: 'Id',
                order: "ASC"
            });
        },
    }
});