/************************************************************************************************
 * © Copyright 2021, BizZToolz
 * Use of this code is permitted under the terms of the GNU Lesser General Public License
 * https://www.fsf.org/
 ************************************************************************************************/

Vue.component('required-fields', {
    props: ['value'],
    computed: {
        ...Vuex.mapState(['Settings'])
    },
    template: `
        <div>
            <label-tooltip v-if="Settings.requiredProperties.length > 0" label="Required Fields" name="required_fields"></label-tooltip>
            <div class="cwf_mt_inline" v-for="field in Settings.requiredProperties">
                <div>{{field.property}}</div>
                <input v-model="field.value" id="required_fields" style="margin-left: 0.5rem;" type="text">
                <merge-tag-u @chosen="field.value=$event"></merge-tag-u>
            </div>
        </div>
    `
});
           // <merge-tag :value="field.propertyField" @input="field.propertyField=$event"></merge-tag>
